import { useContext } from 'react';
import Context from './context';
export default function useSDKFactory() {
    return function useSDK() {
        var sdk = useContext(Context).sdk;
        if (!sdk) {
            throw new Error('SDK not initialized');
        }
        return sdk;
    };
}
